package body MSHTML.HTMLObjectElementEvents2_Events is

   procedure Invoke
     (dispidMember : in Interfaces.C.long;
      wFlags       : in Interfaces.C.unsigned_short;
      pdispparams  : in GNATCOM.Types.Pointer_To_DISPPARAMS;
      Event_Object : in GNATCOM.Events.Event_Object.Event_Pointer)
   is
      use type Interfaces.C.long;
   begin
      case dispidMember is
         when HTMLObjectElementEvents2_onbeforeupdate=>
            onbeforeupdate
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLObjectElementEvents2_onafterupdate=>
            onafterupdate
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLObjectElementEvents2_onerrorupdate=>
            onerrorupdate
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLObjectElementEvents2_onrowexit=>
            onrowexit
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLObjectElementEvents2_onrowenter=>
            onrowenter
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLObjectElementEvents2_ondatasetchanged=>
            ondatasetchanged
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLObjectElementEvents2_ondataavailable=>
            ondataavailable
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLObjectElementEvents2_ondatasetcomplete=>
            ondatasetcomplete
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLObjectElementEvents2_onerror=>
            onerror
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLObjectElementEvents2_onrowsdelete=>
            onrowsdelete
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLObjectElementEvents2_onrowsinserted=>
            onrowsinserted
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLObjectElementEvents2_oncellchange=>
            oncellchange
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLObjectElementEvents2_onreadystatechange=>
            onreadystatechange
              (HTMLObjectElementEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when others =>
            null;
      end case;
   end Invoke;

   function Create (From : in GNATCOM.Events.Event_Object.Event_Pointer)
     return GNATCOM.Create.COM_Interface.Pointer_To_COM_Interface_Type
   is
   begin
      return GNATCOM.Events.Event_Object.Create
        (Invoke'Access,
         IID_HTMLObjectElementEvents2,
         From);
   end Create;

   procedure Set_Events
     (This            : in out GNATCOM.Events.IConnectionPoint_Type;
      For_Object      : in     GNATCOM.IInterface.Interface_Type'Class;
      Event_Interface :
        access GNATCOM.Create.COM_Interface.COM_Interface_Type;
      Free            : Boolean := True)
   is
   begin
      GNATCOM.Events.Set_Events
        (This,
         For_Object,
         IID_HTMLObjectElementEvents2,
         Event_Interface,
         Free);
   end Set_Events;

   procedure onbeforeupdate
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onbeforeupdate;

   procedure onafterupdate
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onafterupdate;

   procedure onerrorupdate
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onerrorupdate;

   procedure onrowexit
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onrowexit;

   procedure onrowenter
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onrowenter;

   procedure ondatasetchanged
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end ondatasetchanged;

   procedure ondataavailable
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end ondataavailable;

   procedure ondatasetcomplete
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end ondatasetcomplete;

   procedure onerror
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onerror;

   procedure onrowsdelete
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onrowsdelete;

   procedure onrowsinserted
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onrowsinserted;

   procedure oncellchange
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end oncellchange;

   procedure onreadystatechange
     (This    : HTMLObjectElementEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onreadystatechange;

end MSHTML.HTMLObjectElementEvents2_Events;

